Bug 886517 - luci should chkconfig ricci on as part of "enabling cluster services"
luci should chkconfig ricci on as part of "enabling cluster services"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks: 986481
  Show dependency treegraph
 
Reported: 2012-12-12 08:30 EST by Jaroslav Kortus
Modified: 2013-11-21 06:00 EST (History)
6 users (show)

See Also:
Fixed In Version: luci-0.26.0-39.el6
Doc Type: Bug Fix
Doc Text:
(Ryan to review) Cause: Omission of ricci and modclusterd from the cluster-related services being automatically enabled at boot on the nodes upon creating/adding an existing cluster. Consequence: The vital step of enabling ricci and, less strictly, modclusterd services on cluster nodes for a smooth cluster run across its life-cycle is up the cluster's administrator, because neither is enabled at boot by default upon its installation. In addition, when a user opted in to the reboot the cluster nodes while creating it, luci will not be able to finish this task properly until the user's intervention or if not performed in advance. (note: mentioned within point 4: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Cluster_Administration/s1-creating-cluster-conga-CA.html) Fix: When creating a cluster or adding the existing one, luci will include enabling ricci and modclusterd into the execution sequence to be performed by each of the node during the process. Result: After the cluster is created/added in the fixed luci, no user's intervention regarding enabling ricci and modclusterd services at boot is needed for a smooth cluster life-cycle.
Story Points: ---
Clone Of:
: 986481 (view as bug list)
Environment:
Last Closed: 2013-11-21 06:00:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2012-12-12 08:30:49 EST
Description of problem:
Luci enables couple of services (cman, clvmd and others) but not ricci.
It's necessary for the admin to start it to use luci, but it should be
started automatically on reboot.

If it's done for others, it should be done for ricci as well (and possibly modclusterd).

Version-Release number of selected component (if applicable):
luci-0.26.0-31.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. create cluster using luci
2. chkconfig --list ricci
3.
  
Actual results:
3:off

Expected results:
3:on

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-16 01:47:23 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 Steven J. Levine 2013-07-19 17:42:37 EDT
I'm marking this as docs_scoped+ and cloning it as a documentation bug since this something that possibly should be mentioned in the luci documentation.
Comment 14 errata-xmlrpc 2013-11-21 06:00:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1603.html

Note You need to log in before you can comment on or make changes to this bug.